﻿using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    using System;

    using Infragistics.Win.UltraWinDataSource;
    using Infragistics.Win.UltraWinGrid;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // Add data to ultragrid
            this.ultraDataSource1.Rows.Add();
            UltraDataRow curRow = this.ultraDataSource1.Rows[0];

            curRow[0] = "data";
            curRow[1] = "data 1";

            button1.Click += PerformResize;
        }

        private void PerformResize(object sender, EventArgs e)
        {
            ColumnsCollection columns = this.ultraGrid1.DisplayLayout.Bands[0].Columns;

            foreach (UltraGridColumn column in columns)
            {
                column.PerformAutoResize(PerformAutoSizeType.AllRowsInBand);
            }
        }
    }
}
